import 'package:ocg_app/ocg_app.dart';
import 'package:ocg_profile/src/models/profile.dart';

abstract class ProfileRepository extends Crud<Profile> {
  Future<AppResponse<Profile>> getByUser(String userId);
  Future<AppResponse<String>> getCurrentId();
  Future<AppResponse<Profile>> getCurrent();
  Future<AppResponse<bool>> follow(String profileId, {bool follow});
  Future<AppResponse<List<ProfileFollowing>>> getFollowersFollowing(String id);
  Stream<ProfileFollowing> onFollowingChanged();
  Stream<ProfileFollowing> onFollowerChanged();
  Future<AppResponse<List<Profile>>> getFollowers(String id);
  Future<AppResponse<List<Profile>>> getFollowing(String id);
  Future<AppResponse<List<Profile>>> getFriends(String id);
}
